Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Cannot compile Xash3D

Help for Current Versions of MX
pearsimmon
Forum Regular
Forum Regular
Posts: 121
Joined: Sat Apr 06, 2019 12:23 pm

Re: Cannot compile Xash3D

#21

Post by pearsimmon » Fri Jun 14, 2019 12:31 pm

[deleted]

User avatar
Stevo
Developer
Posts: 20122
Joined: Fri Dec 15, 2006 8:07 pm

Re: Cannot compile Xash3D

#22

Post by Stevo » Fri Jun 14, 2019 4:23 pm

If you do have upgraded libraries from the test repo, almost always you need to re-enable the test repo to install the -dev development package for that library. They have to match.

Or use aptitude to downgrade both the runtime and -dev versions of the packages to the stock versions, but that will also remove whatever's needing that upgraded test repo runtime.

Post Reply

Return to “MX Help”